# 2022-août-29

L'objectif du jour: Découvrir le capteur oximètre 2 qui est une partie d'une LPC55S16 d'application 2 "centre de mesures".

- Le LPC55S16 "doit faire des mesures à la fréquence programmée" via l'oximètre connecté.
- Possibilité de forcer une acquisition. Ce forcement démarre le cycle de mesure.
    - Probablement forcer depuis le tableau de bord.

### To-do list for being able to read measurements from the oximeter 2
[x] Familiariser avec la bibliothèque d'i2c "fsl_i2c.h".

[ ] Implémenter la communcation entre le LPC55S16 et l'oximètre 2 en utilisant cette bibliothèque.

<details>
<summary style="font-size:14px"> CLICK ME IF YOU ARE CURIOUS </summary>
<p>


## LPC55S16-EVK setup
> "The I2C interface of the codec is routed to Flexcomm 4 of the LPC55Sxx, the same connection as used for the other I2C devices on the board." (from "LPCXpresso55S16 Development Boards User Manual")

Donc "I2C_MasterTransferCreateHandle(I2C4, &a_i2c_master_handle_t, i2c_master_callback, NULL);"

## Oximeter 2
Oximeter 2 utilise l'ADPD144RI pour la détection par photopléthysmographie de l'oxygénation du sang.

### ADPD144RI

Son adresse d'esclave est 0x64.

Il n'a pas un who_am_i.

> The ADPD144RI samples bursts of synchronous pulses in two independent time slots, Time Slot A and Time Slot B, which occur sequentially within a sample period. 

> A burst accumulator sums the pulse energies into a 20-bit value. The number of pulses in each time slot is set in the top octet of Register 0x31 for Time Slot A and Register 0x36 for Time Slot B. Each time slot can contain 1 to 255 pulses.

#### Les Registres Importants
![Example_SpO2_Setup_File](./img/Example_SpO2_Setup_File.png)
*Page 22 de 34 de "ADPD144RI(Rev.A)"*


</p></details>