# 2022-aug-29

Working on: Application 2 centre de mesures sensor oximeter 2.

- Il doit faire des mesures à la fréquence programmée.
- Possibilité de forcer une acquisition. Ce forcement démarre le cycle de mesure.

### To-do list for being able to read measurements from the oximeter 2
[] Implement an i2c library for lpc55s16
[] Use the implemented i2c library to communication between lpc55s16 and Oximeter 2.

## LPC55S16-EVK setup
The I2C interface of the codec is routed to Flexcomm 4 of the LPC55Sxx, the same connection as used for the other I2C devices on the board. (from "LPCXpresso55S16 Development Boards User Manual")

## Oximeter 2
Oximeter 2 uses ADPD144RI for photoplethysmography detection of blood oxygenation.

### ADPD144RI
VDD1 and VDD2 pin = 1.8 V.

The 7-bit I 2 C slave address for the device is 0x64.

ADPD144RI doesn't have a who_am_i.

The ADPD144RI samples bursts of synchronous pulses in two independent time slots, Time Slot A and Time Slot B, which occur sequentially within a sample period. 

A burst accumulator sums the pulse energies into a 20-bit value. The number of pulses in each time slot is set in the top octet of Register 0x31 for Time Slot A and Register 0x36 for Time Slot B. Each time slot can contain 1 to 255 pulses.

#### Les Registres Importants
![Example_SpO2_Setup_File](./img/Example_SpO2_Setup_File.png)
*Page 22 de 34 de "ADPD144RI(Rev.A)"*